Featured
TikTok
YouTube
GitHub
Facebook Ad Library
Creator Tools
Linktree
Komi
Pillar
Linkbio
Amazon Shop
Linkme
API Documentation
Featured
TikTok
- GETProfile
- GETProfile Region
- GETUser's Audience Demographics
- GETCollection Videos
- GETProfile VideosFeatured endpoint
- GETVideo InfoFeatured endpoint
- GETTranscriptFeatured endpoint
- GETLive
- GETLive Info
- GETComments
- GETComment Replies
- GETFollowing
- GETFollowers
- GETSearch Users
- GETSearch Suggestions
- GETSearch by Hashtag
- GETSearch by KeywordFeatured endpoint
- GETTop Search
- GETGet popular creators
- GETGet Song Details
- GETTikToks using Song
- GETTrending Feed
- GETProfileFeatured endpoint
- GETBasic Profile
- GETPostsFeatured endpoint
- GETUser Tagged Posts
- GETReelsFeatured endpoint
- GETPost/Reel InfoFeatured endpoint
- GETTranscriptFeatured endpoint
- GETSearch Instagram
- GETPopular Search
- GETSearch Hashtag Posts
- GETSearch Instagram Profiles
- GETSearch ReelsFeatured endpoint
- GETGet Reels By Audio Id
- GETTrending Reels
- GETComments
- GETComment Replies
- GETStory Highlights
- GETHighlights Details
- GETProfile Post Count
- GETEmbed HTML
YouTube
- GETChannel Details
- GETChannel Videos
- GETChannel Playlists
- GETChannel Lives
- GETChannel Community Posts
- GETChannel Shorts
- GETVideo/Short DetailsFeatured endpoint
- GETTranscriptFeatured endpoint
- GETVideo Sponsors
- GETSearch
- GETSearch Typeahead
- GETSearch by Hashtag
- GETComments
- GETComment Replies
- GETTrending Shorts
- GETPlaylist
- GETCommunity Post Details
GitHub
Facebook Marketplace
Facebook Events
Facebook Ad Library
TikTok Ad Library
Google Ad Library
LinkedIn Ad Library
Truth Social
Bluesky
SoundCloud
Creator Tools
Linktree
Komi
Pillar
Linkbio
Amazon Shop
Linkme
YouTube Transcript API
Get publicly available captions or a transcript from a YouTube video or Short
curl "https://api.scrapecreators.com/v1/youtube/video/transcript" \
-H "x-api-key: " {
"success": true,
"credits_remaining": 1000000,
"credits_charged": 1,
"videoId": "bjVIDXPP7Uk",
"type": "video",
"url": "https://www.youtube.com/watch?v=bjVIDXPP7Uk",
"transcript": [
{
"text": "welcome back to the hell farm and the",
"startMs": "160",
"endMs": "1920",
"startTimeText": "0:00"
},
{
"text": "backyard trails we built these jumps two",
"startMs": "1920",
"endMs": "3919",
"startTimeText": "0:01"
}
],
"transcript_only_text": "welcome back to the hell farm and the backyard trails we built these jumps two years ago and last year we just kind of rebuilt them and this year......",
"language": "English"
}Headers
Your Scrape Creators API key
Query Parameters
YouTube video or short URL
https://www.youtube.com/watch?v=bjVIDXPP7UkLanguage code, ie 'en', 'es', 'fr' or 'en-US'. Overrides the default track selection unless original_audio=true. If omitted, prefers captions matching the original spoken language when YouTube identifies the original audio. If that metadata is unavailable or ambiguous, prefers an auto-generated caption, otherwise the first caption track. If the requested or identified original language has no matching captions, the transcript will be null and no credits are charged.
enSet to true to return captions only in the original spoken language identified by YouTube. Takes precedence over language. If the original audio cannot be reliably identified or has no matching captions, transcript, transcript_only_text, and language are null and no credits are charged. No extra lookup or credit cost; a returned transcript costs the usual 1 credit. Omit or set to false for the existing default selection.
trueIf we have a response in the cache that is this many days old or newer, return the cached response (0 credits, with "cached": true and a "cached_at" timestamp). Otherwise, scrape a live result (1 credit). See the Caching page for details.
7d1d, 3d, 7d, 14d, 30d curl "https://api.scrapecreators.com/v1/youtube/video/transcript" \
-H "x-api-key: " {
"success": true,
"credits_remaining": 1000000,
"credits_charged": 1,
"videoId": "bjVIDXPP7Uk",
"type": "video",
"url": "https://www.youtube.com/watch?v=bjVIDXPP7Uk",
"transcript": [
{
"text": "welcome back to the hell farm and the",
"startMs": "160",
"endMs": "1920",
"startTimeText": "0:00"
},
{
"text": "backyard trails we built these jumps two",
"startMs": "1920",
"endMs": "3919",
"startTimeText": "0:01"
}
],
"transcript_only_text": "welcome back to the hell farm and the backyard trails we built these jumps two years ago and last year we just kind of rebuilt them and this year......",
"language": "English"
}